DEL Document/{id}/Content
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
DELETE /api/v1/Document/{documentId}/Content
Delete the document contents
| Path Part | Type | Description |
|---|---|---|
| documentId | int32 | document primary key Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| allowedReturnType | array | List of return types that the client is prepared to handle, in case the document plugin needs to request additional processing. Standard allowed return types include 'None', 'Message', 'SoProtocol', 'CustomGui', 'Other'.<br/>An empty array implies that the client places no restriction on possible return action requests |
DELETE /api/v1/Document/{documentId}/Content?allowedReturnType=Message
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: TimeZoneData
| Property Name | Type | Description |
|---|---|---|
| ExternalReference | string | |
| VersionId | string | |
| Success | bool | |
| Type | string | |
| Value | string | |
| AdditionalInfo | string |
Sample request
DELETE /api/v1/Document/{documentId}/Content
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ExternalReference": "eius",
"VersionId": "repellendus",
"Success": false,
"Type": "CustomGui",
"Value": "doloribus",
"AdditionalInfo": "cum"
}